WPXHeaderFooter Class Reference documentation

Public Member Functions | Private Attributes | List of all members
WPXHeaderFooter Class Reference

`#include <WPXPageSpan.h>`

## Public Member Functions
| WPXHeaderFooter (const WPXHeaderFooterType headerFooterType, const WPXHeaderFooterOccurrence occurrence, const unsigned char internalType, const WPXSubDocument *subDocument, WPXTableList tableList)
| WPXHeaderFooter (const WPXHeaderFooterType headerFooterType, const WPXHeaderFooterOccurrence occurrence, const unsigned char internalType, const WPXSubDocument *subDocument)
| WPXHeaderFooter (const WPXHeaderFooter &headerFooter)
| ~WPXHeaderFooter ()
WPXHeaderFooter & | operator= (const WPXHeaderFooter &headerFooter)
WPXHeaderFooterType | getType () const
WPXHeaderFooterOccurrence | getOccurrence () const
unsigned char | getInternalType () const
const WPXSubDocument * | getSubDocument () const
WPXTableList | getTableList () const

## Private Attributes
WPXHeaderFooterType | m_type
WPXHeaderFooterOccurrence | m_occurrence
unsigned char | m_internalType
const WPXSubDocument * | m_subDocument
WPXTableList | m_tableList

## Constructor & Destructor Documentation

## ◆ WPXHeaderFooter() [1/3]

WPXHeaderFooter::WPXHeaderFooter | ( | const WPXHeaderFooterType | headerFooterType,
|  | const WPXHeaderFooterOccurrence | occurrence,
|  | const unsigned char | internalType,
|  | const WPXSubDocument * | subDocument,
|  | WPXTableList | tableList
| ) |  |

## ◆ WPXHeaderFooter() [2/3]

WPXHeaderFooter::WPXHeaderFooter | ( | const WPXHeaderFooterType | headerFooterType,
|  | const WPXHeaderFooterOccurrence | occurrence,
|  | const unsigned char | internalType,
|  | const WPXSubDocument * | subDocument
| ) |  |

## ◆ WPXHeaderFooter() [3/3]

WPXHeaderFooter::WPXHeaderFooter | ( | const WPXHeaderFooter & | headerFooter | ) |

## ◆ ~WPXHeaderFooter()

WPXHeaderFooter::~WPXHeaderFooter | ( |  | ) |

## Member Function Documentation

## ◆ getInternalType()

unsigned char WPXHeaderFooter::getInternalType | ( |  | ) | const
| inline

Referenced by operator=(), and operator==().

## ◆ getOccurrence()

WPXHeaderFooterOccurrence WPXHeaderFooter::getOccurrence | ( |  | ) | const
| inline

Referenced by operator=(), and operator==().

## ◆ getSubDocument()

const WPXSubDocument* WPXHeaderFooter::getSubDocument | ( |  | ) | const
| inline

Referenced by operator=(), and operator==().

## ◆ getTableList()

WPXTableList WPXHeaderFooter::getTableList | ( |  | ) | const
| inline

Referenced by operator=().

## ◆ getType()

WPXHeaderFooterType WPXHeaderFooter::getType | ( |  | ) | const
| inline

Referenced by operator=(), and operator==().

## ◆ operator=()

WPXHeaderFooter & WPXHeaderFooter::operator= | ( | const WPXHeaderFooter & | headerFooter | ) |

## Member Data Documentation

## ◆ m_internalType

unsigned char WPXHeaderFooter::m_internalType
| private

Referenced by getInternalType(), and operator=().

## ◆ m_occurrence

WPXHeaderFooterOccurrence WPXHeaderFooter::m_occurrence
| private

Referenced by getOccurrence(), and operator=().

## ◆ m_subDocument

const WPXSubDocument* WPXHeaderFooter::m_subDocument
| private

Referenced by getSubDocument(), and operator=().

## ◆ m_tableList

WPXTableList WPXHeaderFooter::m_tableList
| private

Referenced by getTableList(), and operator=().

## ◆ m_type

WPXHeaderFooterType WPXHeaderFooter::m_type
| private

Referenced by getType(), and operator=().

The documentation for this class was generated from the following files:

- WPXPageSpan.h
- WPXPageSpan.cpp